libzypp 17.37.10

MediaCurl2.h File Reference
`#include <zypp-core/zyppng/base/zyppglobal.h>`
`#include <zypp/base/Flags.h>`
`#include <zypp/ZYppCallbacks.h>`
`#include <zypp/media/MediaNetworkCommonHandler.h>`
`#include <curl/curl.h>`

Go to the source code of this file.

## Classes
class | zypp::media::MediaCurl2
| Implementation class for FTP, HTTP and HTTPS MediaHandler. More...
struct | zypp::media::MediaCurl2::RequestData

## Namespaces
namespace | zyppng
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::internal
namespace | zypp::media

## Functions
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (EventDispatcher)
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (NetworkRequestDispatcher)
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (NetworkRequest)
| zypp::internal::ZYPP_FWD_DECL_TYPE_WITH_REFS (MediaNetworkRequestExecutor)
| zypp::media::ZYPP_DECLARE_OPERATORS_FOR_FLAGS (MediaCurl2::RequestOptions)